package com.chushang.common.mybatis.exception;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.io.Serial;

/**
 * @auther: zhao
 * @date: 2024/6/15 11:47
 */
@NoArgsConstructor
public class MybatisConditionException extends RuntimeException{
    @Serial
    private static final long serialVersionUID = 1L;

    public MybatisConditionException(String message) {
        super(message);
    }

    public MybatisConditionException(Throwable cause) {
        super(cause);
    }

    public MybatisConditionException(String message, Throwable cause) {
        super(message, cause);
    }

    public MybatisConditionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
